import {Children} from '@/lib/utils'
import Wrap from '../wrap'
import BreadCrumb, {BreadCrumbItem} from '../bread-crumb'

export default function HomePage(props: Children & {
  path: BreadCrumbItem[]
}) {
  return (
    <main className="mt-20 flex flex-col gap-3 py-6">
      <Wrap>
        <BreadCrumb items={props.path}/>
      </Wrap>
      {props.children}
    </main>
  )
}
